cdac.medinfo.ccd.datatype

## Class TEL

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.URL
    - - cdac.medinfo.ccd.datatype.TEL

- All Implemented Interfaces:
    java.io.Serializable

      public class TEL
      extends URL

  A telephone number (voice or fax), e-mail address, or other locator for a resource (information or service) mediated by telecommunication equipment. The address is specified as a Universal Resource Locator (URL) qualified by time specification and use codes that help in deciding which address to use for a given time and purpose.

  Java class for TEL complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TEL">
         <complexContent>
           <extension base="{urn:hl7-org:v3}URL">
             <sequence>
               <element name="useablePeriod" type="{urn:hl7-org:v3}SXCM_TS" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="use" type="{urn:hl7-org:v3}set_TelecommunicationAddressUse" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TEL()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getUse()` Gets the value of the use property.
    `java.util.List<SXCMTS>` | `getUseablePeriod()` Gets the value of the useablePeriod property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.URL

      `getValue, setValue`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TEL

          public TEL()

  - ### Method Detail

    - #### getUseablePeriod

          public java.util.List<SXCMTS> getUseablePeriod()

      Gets the value of the useablePeriod property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the useablePeriod property.

      For example, to add a new item, do as follows:

              getUseablePeriod().add(newItem);

      Objects of the following type(s) are allowed in the list `SXCMTS`

    - #### getUse

          public java.util.List<java.lang.String> getUse()

      Gets the value of the use property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the use property.

      For example, to add a new item, do as follows:

              getUse().add(newItem);

      Objects of the following type(s) are allowed in the list `String`